<html>
<head>
<title>simpleform Source</title>
</head>
<body>
<plaintext>
simpleform.ctf

#!/bin/sh /ss/bin/ss.exe
<html>
    <head>
        <title>Simple Entry Form</title>
    </head>
    <body>
<%
    name = Request().Form("name")
    if name = null then
        oldvalue = Request().Form("oldvalue")
        if oldvalue = null then
            oldvalue = ""
        end
%>
        Please enter your name
        <br>
        <form action="./simpleform.ctf" method="get">
            <input type="text" name="name" value="<%=oldvalue%>">
            <br>
            <input type="submit" value="Submit">
            <input type="reset" value="Reset">
        </form>

    <%elseif name = "" then%>
        <h1>Please enter your name</h1>
        <br>
        [ <a href="./simpleform.ctf?oldvalue=<%=name%>">try again</a> ]
    <%else%>
        <h1>Hello <%=name%></h1>
        <br>
        [ <a href="./simpleform.ctf?oldvalue=<%=name%>">try again</a> ]
    <%end%>
    </body>
</html>

